Subject: Re: bug#30490: 26.0; Elisp manual: indexing performance analysis

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Feb 2018 11:18:44 +0200

> Date: Fri, 16 Feb 2018 10:03:01 -0800 (PST)
> From: Drew Adams <[email-masked]>
> 
> In the Elisp manual, `i perform TAB' shows `performance analysis'.
> Following that takes you to node `Coverage Testing' in the Edebug
> section.  That's hardly what I'd call a topic about performance
> analysis, but I didn't study it in detail.

That section describes also frequency counting, which is a sort of
performance analysis.

> The real bug here is that there is nothing else indexed under the
> term "performance".  (Perhaps some similar word is used, but
> "performance" is what came to my mind to look for.)
> 
> `i profil TAB' shows `profiling', which takes you to node `Profiling'.
> Isn't that about "performance analysis"?  Shouldn't it, rather than, or
> in addition to, `Coverage Testing' be indexed for "performance"?

I fixed the indexing to lead also to "Profiling" in this case.

Thanks.